Subject: bug#68021: 29.1; disjoinder between re-builder and interactive functions that consume it

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Dec 2023 15:13:05 +0200

> From: support <[email-masked]>
> Date: Sun, 24 Dec 2023 12:59:47 -0800
> 
> I built a regexp to strip away everything other than website names from
> a buffer:
> 
> "\\\\(?:\\\\(?:\\n\\\\|.\\\\)*?\\\\<https?://\\\\(?:[[:alnum:]-]*?\\\\.*\\\\)\\\\([[:alnum:]-]+.[[:alpha:]]+\\\\)/\\\\
> (\\n\\\\|:.\\\\)*?\\\\)\\\\(?:\\n\\\\|.\\\\)*"
> 
> I do a C-c C-w to copy it from re-builder.
> 
> I do a M-x replace-regexp and paste it in with C-y and it needs
> all kinds of finessing to make it work which is a huge PITA!

Thanks, but could you please describe the recipe to reproduce the
problems you faced, starting from "emacs -Q" and showing all the
commands and characters you typed?  I'm especially interested in the
"all kinds of finessing" part -- what exactly did you need to modify
after "C-c C-w" and C-y, and why?